use 1.5 (to avoid minor warning)
diff --git a/org.eclipse.wtp.releng.versionchecker/.settings/org.eclipse.jdt.core.prefs b/org.eclipse.wtp.releng.versionchecker/.settings/org.eclipse.jdt.core.prefs
index ae75691..e7b26f4 100644
--- a/org.eclipse.wtp.releng.versionchecker/.settings/org.eclipse.jdt.core.prefs
+++ b/org.eclipse.wtp.releng.versionchecker/.settings/org.eclipse.jdt.core.prefs
@@ -1,6 +1,6 @@
-#Sun Sep 14 20:47:31 EDT 2008
+#Sun Sep 14 21:13:28 EDT 2008
 org.eclipse.jdt.core.incompatibleJDKLevel=warning
-org.eclipse.jdt.core.compiler.compliance=1.4
+org.eclipse.jdt.core.compiler.compliance=1.5
 org.eclipse.jdt.core.builder.duplicateResourceTask=warning
 org.eclipse.jdt.core.compiler.problem.fatalOptionalError=disabled
 org.eclipse.jdt.core.builder.recreateModifiedClassFileInOutputFolder=enabled
@@ -15,10 +15,10 @@
 org.eclipse.jdt.core.compiler.debug.sourceFile=generate
 org.eclipse.jdt.core.compiler.debug.lineNumber=generate
 org.eclipse.jdt.core.circularClasspath=error
-org.eclipse.jdt.core.compiler.problem.assertIdentifier=warning
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
 org.eclipse.jdt.core.builder.invalidClasspath=ignore
-org.eclipse.jdt.core.compiler.problem.enumIdentifier=warning
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.2
-org.eclipse.jdt.core.compiler.source=1.3
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.5
+org.eclipse.jdt.core.compiler.source=1.5
 org.eclipse.jdt.core.incompleteClasspath=error
 org.eclipse.jdt.core.builder.cleanOutputFolder=clean